Search or ask Docker

Import images

POST /images/load — Docker Engine API 1.57.

View Markdown
POST/images/load

Load a set of images and tags into a repository.

For details on the format, see the export image endpoint.

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

quiet query

Suppress progress details during load.

Type: boolean

All schema constraints and annotations
{
  "default": false,
  "type": "boolean"
}

platform query

JSON encoded OCI platform(s) which will be used to select the platform-specific image(s) to load if the image is multi-platform. If not provided, the full multi-platform image will be loaded.

Example: {"os": "linux", "architecture": "arm", "variant": "v5"}

Type: array

Array item

Type: string

All schema constraints and annotations
{
  "type": "string"
}
All schema constraints and annotations
{
  "items": {
    "type": "string"
  },
  "type": "array"
}

Serialization: form

Request and responses

Request

Tar archive containing images

application/x-tar

Type: string

All schema constraints and annotations
{
  "format": "binary",
  "type": "string"
}

Response 200

no error

application/json

Response 500

server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/ErrorResponse

Complete operation contract
{
  "description": "Load a set of images and tags into a repository.\n\nFor details on the format, see the [export image endpoint](#operation/ImageGet).\n",
  "operationId": "ImageLoad",
  "parameters": [
    {
      "description": "Suppress progress details during load.",
      "in": "query",
      "name": "quiet",
      "schema": {
        "default": false,
        "type": "boolean"
      }
    },
    {
      "description": "JSON encoded OCI platform(s) which will be used to select the\nplatform-specific image(s) to load if the image is\nmulti-platform. If not provided, the full multi-platform image\nwill be loaded.\n\nExample: `{\"os\": \"linux\", \"architecture\": \"arm\", \"variant\": \"v5\"}`\n",
      "explode": true,
      "in": "query",
      "name": "platform",
      "schema": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "style": "form"
    }
  ],
  "requestBody": {
    "content": {
      "application/x-tar": {
        "schema": {
          "format": "binary",
          "type": "string"
        }
      }
    },
    "description": "Tar archive containing images",
    "x-codegen-request-body-name": "imagesTarball"
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {}
      },
      "description": "no error"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "server error"
    }
  },
  "summary": "Import images",
  "tags": [
    "Image"
  ]
}